Subject: bug#58289: context-menu-mode on multi-head hidpi display

From: Po Lu <[email-masked]>
Date: Tue, 04 Oct 2022 21:19:11 +0800

Ethan Ongstad <[email-masked]> writes:

> Environment: Two 4k displays, left is vertical right is horizontal. I
> am up scaling my display by 200% from gnome settings. No
> configuration, only activated context-menu-mode. Using Gnome on X11.
> Bug : On my right display when mouse-down-3- to activate the context
> menu it will pop-up on the left edge of the display regardless of
> where I click.  Tested: Works fine on left display. Also works fine if
> I go to the regular 100% scaling.

Please show the system information output by `report-emacs-bug',
otherwise we cannot determine what toolkit you have built Emacs with.

Thanks.